View Issue Details

IDProjectCategoryView StatusLast Update
0000014Siril[All Projects] Sirilpublic2018-09-14 00:17
Reporterlock42Assigned Tovinvin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status assignedResolutionfixed 
PlatformGNU/Linux 64bitsOSDebianOS VersionTesting
Product Version0.9.1 
Target Version1.0.0Fixed in Version1.0.0 
Summary0000014: Vips: enable zoom with mouse wheel
DescriptionEnable the zoom with control-wheel or + / - keys centred on the mouse cursor position if on image.
TagsNo tags attached.

Relationships

child of 0000165 assignedvinvin Switch to VIPS rendering 

Activities

vinvin

2017-12-02 00:09

administrator   ~0000431

A part of this feature was not implemented: centring on mouse position.

Related Changesets

Siril: trunk r1665

2017-02-01 16:56:52

lock42

Details
Start issue 0000014.
Zoom is now working with wheel. Need to center the image on cursor.

Crash when too many fast zooms:
(siril:9792): GLib-GObject-CRITICAL **: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
Segmentation fault
Affected Issues
0000014
mod - /trunk/src/gui/callbacks.c
mod - /trunk/src/gui/callbacks.h
mod - /trunk/src/gui/siril3.glade

Issue History

Date Modified Username Field Change
2015-06-16 15:06 lock42 New Issue
2015-07-03 02:57 vinvin Status new => confirmed
2015-10-29 23:56 lock42 Assigned To => vinvin
2015-10-29 23:56 lock42 Status confirmed => assigned
2015-11-29 20:42 lock42 Target Version 0.9.1 => 0.9.2
2016-01-27 02:42 vinvin Description Updated View Revisions
2016-01-27 11:21 lock42 Target Version 0.9.2 => 0.9.3
2016-04-10 23:52 lock42 Target Version 0.9.3 => 0.9.4
2016-04-18 14:32 vinvin Relationship added child of 0000013
2016-04-18 14:32 vinvin Target Version 0.9.4 => 1.0.0
2016-11-26 20:35 vinvin Relationship deleted child of 0000013
2016-11-26 20:38 vinvin Relationship added related to 0000165
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril
2017-02-01 16:56 lock42 Changeset attached => Siril trunk r1665
2017-11-20 23:41 vinvin Status assigned => resolved
2017-11-20 23:41 vinvin Resolution open => fixed
2017-11-20 23:41 vinvin Fixed in Version => 1.0.0
2017-12-02 00:09 vinvin Status resolved => assigned
2017-12-02 00:09 vinvin Note Added: 0000431
2017-12-02 00:10 vinvin Summary Enable zoom with mouse wheel => Vips: enable zoom with mouse wheel
2017-12-02 00:10 vinvin Description Updated View Revisions
2018-09-14 00:17 vinvin Relationship deleted related to 0000165
2018-09-14 00:17 vinvin Relationship added child of 0000165